/***************************************************************************
                          chspinfo.h  -  description
                             -------------------
    begin                : Fri Nov 22 2002
    copyright            : (C) 2002 by Oleksiy Kohany
    email                : kohany@girinst.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CHSPINFO_H
#define CHSPINFO_H

#include <iostream>

using namespace std;

/**
  *@author Oleksiy Kohany
  */
class CHSPInfo
{
public:
    CHSPInfo();
    virtual ~CHSPInfo();
    /** set m_dProbb */
    void setPrb(const double& );
    /** set m_nPos */
    void setPos(const double& dPos);
    /** set m_nLength */
    void setLen(const unsigned int& iLen);
    /** set m_nIdnt */
    void setIdt(const double& dIdt);
    /** set m_iAlnScore */
    void setScr(const int& );
    /** set m_dExp */
    void setExp(const double& );
    /** No descriptions */
    virtual void print(ostream &os) const;
    /** No descriptions */
    void reset();
    const unsigned int getDbLen() const;
    const unsigned int getQuLen() const;
    void setDbLen(unsigned int idblen);
    void setQuLen(unsigned int iqulen);
protected: // Protected attributes
    /**  */
    int m_iScr;
    /**  */
    double m_dExp;
    /**  */
    double m_dPrb;
    /**  */
    double m_dIdt;
    /**  */
    double m_dPos;
    /**  */
    int m_iDbLen;
    /**  */
    unsigned int m_nLen;
    /**  */
    unsigned int m_nquLen;
    /**  */
    unsigned int m_ndbLen;
};

#endif
